curl --request POST \
--url https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetOrganization \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '
{
"organizationId": "<string>"
}
'import requests
url = "https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetOrganization"
payload = { "organizationId": "<string>" }
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({organizationId: '<string>'})
};
fetch('https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetOrganization', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"isSetupBasic": true,
"allJobPostingFilterValues": [
{
"valueId": "<string>",
"filterId": "<string>",
"filterSlot": "<string>",
"filterName": "<string>",
"stringValue": "<string>",
"totalJobPostings": "<string>"
}
],
"allJobPostingFilters": [
{
"id": "<string>",
"organizationId": "<string>",
"slot": "<string>",
"name": "<string>"
}
],
"jobPostingEnabledLanguages": [
{
"id": "<string>",
"organizationId": "<string>",
"codeIso6393": "<string>",
"totalJobPostings": "<string>"
}
],
"totalCrewProfiles": "<string>",
"totalJobPostings": "<string>",
"totalPinnedJobPostings": "<string>",
"maxPinnedJobPostings": "<string>",
"totalActiveCrewProfiles": "<string>",
"recentlyDeletedCrewProfiles": "<string>",
"totalOpenJobPostings": "<string>",
"totalClosedJobPostings": "<string>",
"totalProposals": "<string>"
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}GetOrganization
get organization info
Authorizations
Personal API key, sent as Authorization: Bearer <key>.
Headers
Define the version of the Connect protocol
1
Define the timeout, in ms
1000
Body
request to get organization info
id of the organization to request information about
Response
Success
response with organization info
id of the organization
name of the organization
slug of the organization
wether or not basic setup is done
all filter values (and filters they belong to)
Show child attributes
Show child attributes
all filters for the organization
Show child attributes
Show child attributes
the languags that are enabled for the organization to crated job postings for
Show child attributes
Show child attributes
total number of crew profiles the organization has
total nr of job postings the organization has
total nr of pinned job postings the organization has
maximum nr of pinned job postings the organization can have
total of active crew profiles
total archived crew profiles
total of open job postings the organisation has
total of closed job postings the organisation has
total nr of proposals the organization has